MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025306Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-01 11:482015-09-22 14:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025306: Visualization, TKOpenGl - support texturing within RayTracing
DescriptionRayTracing should display textures assigned to the objects.
Additional information
and documentation updates
This patch adds support of textures in OCCT ray-tracing core. This functionality was implemented using OpenGL bindless textures extension (https://www.opengl.org/registry/specs/ARB/bindless_texture.txt [^]), and thus is available only in relatively new OpenGL drivers. If OpenGL driver doesn not support this extension, textures will be disabled.
TagsNo tags attached.
Test case numberv3d raytrace(014) textures
Attached Filesjpg file icon test1.jpg (117,504 bytes) 2014-10-09 15:26
jpg file icon test2.jpg (105,941 bytes) 2014-10-09 15:26
png file icon test.png (46,871 bytes) 2014-10-09 15:47

- Relationships
related to 0025304closedbugmaster Visualization, TKOpenGl - support texturing within built-in GLSL programs 
related to 0025758closedbugmaster Visualization, TKOpenGl - texture initialization fails on Intel HD 4600 in ray tracing test 
related to 0026713closedbugmaster Textures disappear after switching Ray-Tracing functionality. 

-  Notes
(0032715)
git (administrator)
2014-10-06 16:16

Branch CR25306 has been created by dbp.

SHA-1: eaa8ef08b7cbba43c3c931acf726cc4f8ebefc83


Detailed log of new commits:

Author: dbp
Date: Mon Oct 6 16:15:27 2014 +0400

    Converting ray-tracing types to 3D.
(0032736)
git (administrator)
2014-10-06 18:59

Branch CR25306 has been updated by dbp.

SHA-1: 6d58e4e85ebcb0f40f75a004112f1a0b8ed415cb


Detailed log of new commits:

Author: dbp
Date: Mon Oct 6 18:59:41 2014 +0400

    Update.

(0032765)
git (administrator)
2014-10-07 14:02

Branch CR25306_1 has been created by dbp.

SHA-1: ae060d2dd2088f8e3fc887a8b6eeb40e9c6304f3


Detailed log of new commits:

Author: dbp
Date: Tue Oct 7 14:02:15 2014 +0400

    Fix critical bugs.
(0032772)
git (administrator)
2014-10-07 15:12

Branch CR25306_1 has been updated by dbp.

SHA-1: cfec4a6351ca3873308a79a49da53179899386d1


Detailed log of new commits:

Author: dbp
Date: Tue Oct 7 15:12:05 2014 +0400

    Upload texcoords to the GPU.

(0032788)
git (administrator)
2014-10-07 19:19

Branch CR25306_1 has been updated by dbp.

SHA-1: a701e1df6305e4ed0ac43feaab01c4c0d1903bc8


Detailed log of new commits:

Author: dbp
Date: Tue Oct 7 19:18:46 2014 +0400

    Initial support for OpenGL bindless textures.

(0032791)
git (administrator)
2014-10-07 21:00

Branch CR25306_1 has been updated by dbp.

SHA-1: e43b391163661374ca15c244c5dffa0d6f20d7a6


Detailed log of new commits:

Author: dbp
Date: Tue Oct 7 20:59:59 2014 +0400

    Update OpeGl_Context.

(0032792)
git (administrator)
2014-10-07 22:26

Branch CR25306_1 has been updated by dbp.

SHA-1: dc682f7ca31ad899a3f2bd12f9c6467880cc855b


Detailed log of new commits:

Author: dbp
Date: Tue Oct 7 22:26:42 2014 +0400

    Update shader program to support uint64 uniforms.

(0032793)
git (administrator)
2014-10-07 23:00

Branch CR25306_1 has been updated by dbp.

SHA-1: 6656995fb9763db070caf730d08f25d28b107be8


Detailed log of new commits:

Author: dbp
Date: Tue Oct 7 23:00:38 2014 +0400

    Gamma correction implemented.

(0032794)
git (administrator)
2014-10-07 23:46

Branch CR25306_1 has been updated by dbp.

SHA-1: 8ad539ac652e502bc3a4455768d99b715303f295


Detailed log of new commits:

Author: dbp
Date: Tue Oct 7 23:45:55 2014 +0400

    Update.

(0032795)
git (administrator)
2014-10-08 09:42

Branch CR25306_1 has been updated by dbp.

SHA-1: 273b2d0b389fb171b3e12991254e73bfe27a8145


Detailed log of new commits:

Author: dbp
Date: Wed Oct 8 09:42:05 2014 +0400

    Update shader program.

(0032819)
git (administrator)
2014-10-08 15:02

Branch CR25306_1 has been updated by dbp.

SHA-1: 57fb529414a42ff1c5fd052d70f7fe7932a18381


Detailed log of new commits:

Author: dbp
Date: Wed Oct 8 15:02:11 2014 +0400

    Implementing OpenGL sampler wrapper.

(0032827)
git (administrator)
2014-10-08 17:02

Branch CR25306_1 has been updated by dbp.

SHA-1: 9dc2f041a371787141bc04fbb59b55362b8e1cb1


Detailed log of new commits:

Author: dbp
Date: Wed Oct 8 17:02:42 2014 +0400

    Update.

(0032828)
git (administrator)
2014-10-08 17:26

Branch CR25306_1 has been updated by dbp.

SHA-1: 32cb7a1e8d44984d76a8f3f03503d5cb5b595581


Detailed log of new commits:

Author: dbp
Date: Wed Oct 8 17:26:14 2014 +0400

    Cosmetics.

(0032837)
git (administrator)
2014-10-08 19:16

Branch CR25306_1 has been updated by dbp.

SHA-1: 5638ca7e9381afb25bc21d51f90a73289b0c7b9e


Detailed log of new commits:

Author: dbp
Date: Wed Oct 8 19:16:31 2014 +0400

    Update.

(0032853)
git (administrator)
2014-10-08 23:40

Branch CR25306_1 has been updated by dbp.

SHA-1: 3def5edfede677cb1692676b2204b9235a3087eb


Detailed log of new commits:

Author: dbp
Date: Wed Oct 8 23:40:20 2014 +0400

    Enable texture transformations.

(0032863)
git (administrator)
2014-10-09 10:41

Branch CR25306_1 has been updated by dbp.

SHA-1: f375455a0a0deedc436527360d19333f7f25d77e


Detailed log of new commits:

Author: dbp
Date: Thu Oct 9 10:40:43 2014 +0400

    Update.

(0032868)
git (administrator)
2014-10-09 11:10

Branch CR25306_1 has been updated by dbp.

SHA-1: 28a576c1b04148ac5c4d82abd9bff48bca282567


Detailed log of new commits:

Author: dbp
Date: Thu Oct 9 11:10:45 2014 +0400

    Update.

(0032869)
git (administrator)
2014-10-09 11:14

Branch CR25306_2 has been created by dbp.

SHA-1: 1bceec312251d3b06b812fdb9d98de6cb133a285


Detailed log of new commits:

Author: dbp
Date: Thu Oct 9 11:14:03 2014 +0400

    025306: Visualization, TKOpenGl - support texturing within RayTracing
(0032871)
dbp (developer)
2014-10-09 11:19

Dear kgv,

please review the patch in branch CR25306_2.
(0032874)
git (administrator)
2014-10-09 11:37

Branch CR25306_2 has been updated by dbp.

SHA-1: 7c65a5c6fb4c2dde9b10713fd32c2fd3c4c0a39d


Detailed log of new commits:

Author: dbp
Date: Thu Oct 9 11:36:54 2014 +0400

    Cosmetics.

(0032887)
git (administrator)
2014-10-09 14:14

Branch CR25306_2 has been updated by dbp.

SHA-1: ab21180bd1e004569f77e85cf5e66b3d2fc19dfc


Detailed log of new commits:

Author: dbp
Date: Thu Oct 9 14:14:40 2014 +0400

    Optimizing shader code.

(0032898)
git (administrator)
2014-10-09 15:29

Branch CR25306_2 has been updated by dbp.

SHA-1: 696cea707f50724d05a53f8689698a248d3683ca


Detailed log of new commits:

Author: dbp
Date: Thu Oct 9 15:29:01 2014 +0400

    Cosmetics.

(0032902)
git (administrator)
2014-10-09 15:36

Branch CR25306_2 has been updated by dbp.

SHA-1: a589b9c33bd363f18773dcb89e170b9f163fe32e


Detailed log of new commits:

Author: dbp
Date: Thu Oct 9 15:36:37 2014 +0400

    Add new test case.

(0032903)
git (administrator)
2014-10-09 15:45

Branch CR25306_3 has been created by dbp.

SHA-1: fa7b03dc4d65124fed369b56328a442bd061caef


Detailed log of new commits:

Author: dbp
Date: Thu Oct 9 15:42:44 2014 +0400

    025306: Visualization, TKOpenGl - support texturing within RayTracing
(0032904)
dbp (developer)
2014-10-09 15:46

Dear kgv,

please review the updated patch in branch CR25306_3.
(0032905)
dbp (developer)
2014-10-09 15:51

The reference image to test case v3d/raytracing/textures is attached to this issue (test.png). Pleae note, that texturing is supported only on relatively new NVIDIA and AMD drivers. Instead, scene will be rendered without textures (it is normal behaviour).
(0032982)
kgv (developer)
2014-10-10 16:35

Dear Denis,

please consider discussed remarks.
(0032983)
git (administrator)
2014-10-10 17:09

Branch CR25306_3 has been updated by dbp.

SHA-1: 3d182f870edca7673b42a765d6672cbb6e01ab06


Detailed log of new commits:

Author: dbp
Date: Fri Oct 10 17:09:03 2014 +0400

    Corrections in accordance with KGV's remarks.

(0032984)
git (administrator)
2014-10-10 17:23

Branch CR25306_4 has been created by dbp.

SHA-1: 170aabeee13f1b30deb65fb812b339d960f0b288


Detailed log of new commits:

Author: dbp
Date: Fri Oct 10 17:20:40 2014 +0400

    Corrections in accordance with KGV's remarks.

Author: dbp
Date: Thu Oct 9 15:42:44 2014 +0400

    025306: Visualization, TKOpenGl - support texturing within RayTracing
(0032985)
dbp (developer)
2014-10-10 17:23

Dear kgv,

please review corrections in branch CR25306_4.
(0033005)
git (administrator)
2014-10-13 11:11

Branch CR25306_4 has been updated by kgv.

SHA-1: 14541391d3f9eb874cf129652861964e86d3fdd7


Detailed log of new commits:

Author: kgv
Date: Mon Oct 13 11:11:10 2014 +0400

    fix file headers

Author: kgv
Date: Mon Oct 13 11:10:37 2014 +0400

    OpenGl_Context - initialize new fields in constructor

Author: kgv
Date: Mon Oct 13 10:46:41 2014 +0400

    OpenGl_Sampler - fix compilation errors on OpenGL ES 2.0

(0033096)
git (administrator)
2014-10-15 10:35

Branch CR25306_4 has been updated by kgv.

SHA-1: 1f00e5bb47ba077b31b441f3d5892a4bf5d5dd03


Detailed log of new commits:

Author: kgv
Date: Wed Oct 15 10:35:54 2014 +0400

    OpenGl_Workspace::CreateMaterial() - emit warning when GL_ARB_bindless_texture extension is unavailable

(0033097)
git (administrator)
2014-10-15 10:57

Branch CR25306_4 has been updated by kgv.

SHA-1: 8e08b81f71c2f4da0fcc02291982da8215c592ea


Detailed log of new commits:

Author: kgv
Date: Wed Oct 15 10:57:14 2014 +0400

    OpenGl_Workspace::InitRaytraceResources() - check GL_ARB_texture_buffer_object_rgb32 extension

(0033106)
git (administrator)
2014-10-15 11:24

Branch CR25306_4 has been updated by kgv.

SHA-1: eb4551d71c020c91623a60b7f3bbb67e495b4637


Detailed log of new commits:

Author: kgv
Date: Wed Oct 15 11:24:40 2014 +0400

    RaytraceBase.fs - exclude unused sampler uGeometryTexCrdTexture when texturing is not enabled
    
    Save fragment texture image units for compatibility with old hardware.

(0033108)
kgv (developer)
2014-10-15 11:33
edited on: 2014-10-15 11:33

Dear Denis,
OpenGL info:
  GLvendor    = 'Intel'
  GLdevice    = 'Intel(R) HD Graphics 2500'
  GLversion   = '4.0.0 - Build 10.18.10.3621'
  GLSLversion = '4.00 - Build 10.18.10.3621'
  GLdebug     =  ON

TKOpenGl.GLSL | Type: Error | ID: 1 | Severity: High | Message:
  GLSL link failed for program 6, "": Number of Fragment Texture Image Units exceeds HW limits.


TKOpenGl.GLSL | Type: Error | ID: 1 | Severity: High | Message:
  GLSL link failed: Number of Fragment Texture Image Units exceeds HW limits.

TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
  Failed to link FSAA shader program


I have disabled uGeometryTexCrdTexture sampler in Fragment Shader when texturing is not enabled to workaround Intel HD Graphics 2500 limitations (it seems there is no yet Intel driver supporting GL_ARB_bindless_texture extension by the way).
We can not use more texture units in Ray-Tracing shader if we want support such hardware.

(0033120)
git (administrator)
2014-10-15 12:23

Branch CR25306_5 has been created by kgv.

SHA-1: 6e02ddb4af789713c8e0910e67f17786fecbb004


Detailed log of new commits:

Author: kgv
Date: Wed Oct 15 12:22:54 2014 +0400

    OpenGl_Text::Render() - temporarily unbind global texture sampler

Author: dbp
Date: Wed Oct 15 12:03:12 2014 +0400

    025306: Visualization, TKOpenGl - support texturing within RayTracing
    
    OpenGl_Workspace::InitRaytraceResources() - check GL_ARB_texture_buffer_object_rgb32 extension.
    OpenGl_Workspace::CreateMaterial() - emit warning when GL_ARB_bindless_texture extension is unavailable.
(0033121)
kgv (developer)
2014-10-15 12:29

Please test patch in branch CR25306_5.

There are new additional compilation warnings on Linux platform:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR25301_1-master_build_occt_linux/1/warnings16Result/package.-133837126/ [^] 
[^]
OpenGl_SceneGeometry.cxx:161, GNU C Compiler 4 (gcc), Priority: Normal
dereferencing type-punned pointer will break strict-aliasing rules

http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR25301_1-master_build_occt_linux/1/warnings16Result/package.-671474530/file.-1767425955/ [^] 
[^]
NCollection_Vec3.hxx:242, GNU C Compiler 4 (gcc), Priority: Normal
dereferencing pointer ‘aCorner.858’ does break strict-aliasing rules
NCollection_Vec3.hxx:250, GNU C Compiler 4 (gcc), Priority: Normal
dereferencing pointer ‘aCorner.858’ does break strict-aliasing rules

please ignore these warnings - them should be processed within dedicated issue 0024875.
(0033260)
apv (tester)
2014-10-17 15:22
edited on: 2014-10-17 15:25

Dear BugMaster,

Branch CR25306_5 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 6e02ddb4af789713c8e0910e67f17786fecbb004

Number of compiler warnings:
occt component:
   Linux: 18 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)
There are 3 new warnings on Linux. According to kgv's post they will be eliminated in 0024875

Regressions/Differences:
Not detected

Testing case:
v3d raytrace(014) textures - OK
http://occt-tests/CR25306-5-master-occt/Debian60-64/v3d/raytrace/textures.html [^]
http://occt-tests/CR25306-5-master-occt/Windows-32-VC10/v3d/raytrace/textures.html [^]

Testing on Linux:
Total MEMORY difference: 370288716 / 370351268
Total CPU difference: 47186.13999999991 / 47188.49999999984

Testing on Windows:
Total MEMORY difference: 275124932 / 272347360
Total CPU difference: 36032.0625 / 32951.34375

There are differences in images found by testdiff:
http://occt-tests/CR25306-5-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25306-5-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
Pay attention to bugs vis bug25121

(0033269)
git (administrator)
2014-10-17 17:04

Branch CR25306_5 has been updated by dbp.

SHA-1: 75d1692b0399c7884a0dd870f15dac1cac016b41


Detailed log of new commits:

Author: dbp
Date: Fri Oct 17 17:04:05 2014 +0400

    Fix bug with overlayer text.

(0033270)
dbp (developer)
2014-10-17 17:12

Dear kgv,

please review the fix in branch CR25306_5.
(0033275)
git (administrator)
2014-10-17 18:13

Branch CR25306_6 has been created by dbp.

SHA-1: 261b9509d43373bdd15ea9830ba6f404e4a7f629


Detailed log of new commits:

Author: dbp
Date: Fri Oct 17 18:11:35 2014 +0400

    025306: Visualization, TKOpenGl - support texturing within RayTracing
(0033276)
dbp (developer)
2014-10-17 18:13

Dear kgv,

please review the fix in branch CR25306_6.
(0033277)
git (administrator)
2014-10-17 18:15

Branch CR25306_6 has been deleted by dbp.

SHA-1: 261b9509d43373bdd15ea9830ba6f404e4a7f629
(0033278)
git (administrator)
2014-10-17 18:15

Branch CR25306_6 has been created by dbp.

SHA-1: e8f3576e5e09c826fd860e03bcaee7a484cf058e


Detailed log of new commits:

Author: dbp
Date: Fri Oct 17 18:15:21 2014 +0400

    025306: Visualization, TKOpenGl - support texturing within RayTracing
(0033303)
git (administrator)
2014-10-19 16:39

Branch CR25306_6 has been deleted by dbp.

SHA-1: e8f3576e5e09c826fd860e03bcaee7a484cf058e
(0033304)
git (administrator)
2014-10-19 16:40

Branch CR25306_6 has been created by dbp.

SHA-1: e958e9d43e314b9e9bea68410838acbbd9838cf6


Detailed log of new commits:

Author: dbp
Date: Sun Oct 19 16:38:21 2014 +0400

    Fix bug with overlay OpenGL text.

Author: dbp
Date: Sun Oct 19 12:06:28 2014 +0400

    025306: Visualization, TKOpenGl - support texturing within RayTracing
(0033305)
kgv (developer)
2014-10-19 18:16

Please test branch CR25306_6.
(0033376)
mkv (tester)
2014-10-21 14:01

Dear BugMaster,
Branch CR25306_6 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: e958e9d43e314b9e9bea68410838acbbd9838cf6

Number of compiler warnings:

occt component :
Linux: 18 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

There are new additional compilation warnings on Linux platform:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR25306_6-master_build_occt_linux/1/warnings16Result/package.-671474530/file.-1767425955/ [^]
NCollection_Vec3.hxx:242, GNU C Compiler 4 (gcc), Priority: Normal
dereferencing pointer ‘aCorner.857’ does break strict-aliasing rules
NCollection_Vec3.hxx:250, GNU C Compiler 4 (gcc), Priority: Normal
dereferencing pointer ‘aCorner.857’ does break strict-aliasing rules

http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR25306_6-master_build_occt_linux/1/warnings16Result/package.-133837126/ [^]
OpenGl_SceneGeometry.cxx:158, GNU C Compiler 4 (gcc), Priority: Normal
dereferencing type-punned pointer will break strict-aliasing rules
 
According to kgv's post they will be eliminated in 0024875

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25306-6-master-occt/Debian60-64/v3d/raytrace/textures.html [^]
http://occt-tests/CR25306-6-master-occt/Windows-32-VC10/v3d/raytrace/textures.html [^]
v3d raytrace(014) textures - OK

Testing on Linux:
occt component :
Total MEMORY difference: 368807012 / 368944548
Total CPU difference: 46120.09999999995 / 44655.91000000001
products component :
Total MEMORY difference: 125105632 / 125255592
Total CPU difference: 16887.429999999993 / 17172.529999999973

Testing on Windows:
occt component :
Total MEMORY difference: 253288720 / 252953496
Total CPU difference: 36517.890625 / 34935.15625
products component :
Total MEMORY difference: 82899840 / 70288428
Total CPU difference: 11473.09375 / 11337.96875

There are no differences in images found by testdiff.
(0034247)
git (administrator)
2014-11-12 08:57

Branch CR25306 has been deleted by kgv.

SHA-1: 6d58e4e85ebcb0f40f75a004112f1a0b8ed415cb
(0034248)
git (administrator)
2014-11-12 08:57

Branch CR25306_1 has been deleted by kgv.

SHA-1: 28a576c1b04148ac5c4d82abd9bff48bca282567
(0034249)
git (administrator)
2014-11-12 08:57

Branch CR25306_2 has been deleted by kgv.

SHA-1: a589b9c33bd363f18773dcb89e170b9f163fe32e
(0034250)
git (administrator)
2014-11-12 08:57

Branch CR25306_3 has been deleted by kgv.

SHA-1: 3d182f870edca7673b42a765d6672cbb6e01ab06
(0034251)
git (administrator)
2014-11-12 08:57

Branch CR25306_4 has been deleted by kgv.

SHA-1: eb4551d71c020c91623a60b7f3bbb67e495b4637
(0034252)
git (administrator)
2014-11-12 08:57

Branch CR25306_5 has been deleted by kgv.

SHA-1: 75d1692b0399c7884a0dd870f15dac1cac016b41
(0034253)
git (administrator)
2014-11-12 08:57

Branch CR25306_6 has been deleted by kgv.

SHA-1: e958e9d43e314b9e9bea68410838acbbd9838cf6

- Related Changesets
occt: master 25ef750e
Timestamp: 2014-10-23 10:09:23
Author: dbp
Committer: bugmaster
Details ] Diff ]
025306: Visualization, TKOpenGl - support texturing within RayTracing

Fix bug with overlay OpenGL text.
mod - src/OpenGl/FILES Diff ] File ]
add - src/OpenGl/Handle_OpenGl_Sampler.hxx Diff ] File ]
add - src/OpenGl/OpenGl_ArbTexBindless.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Sampler.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Sampler.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_SceneGeometry.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_SceneGeometry.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBufferArb.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_Raytrace.cxx Diff ] File ]
mod - src/Shaders/RaytraceBase.fs Diff ] File ]
add - tests/v3d/raytrace/textures Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-01 11:48 kgv New Issue
2014-10-01 11:48 kgv Assigned To => kgv
2014-10-01 11:48 kgv Relationship added related to 0025304
2014-10-01 11:48 kgv Assigned To kgv => duv
2014-10-01 11:48 kgv Assigned To duv => dbp
2014-10-06 16:16 git Note Added: 0032715
2014-10-06 18:59 git Note Added: 0032736
2014-10-07 14:02 git Note Added: 0032765
2014-10-07 15:12 git Note Added: 0032772
2014-10-07 19:19 git Note Added: 0032788
2014-10-07 21:00 git Note Added: 0032791
2014-10-07 22:26 git Note Added: 0032792
2014-10-07 23:00 git Note Added: 0032793
2014-10-07 23:46 git Note Added: 0032794
2014-10-08 09:42 git Note Added: 0032795
2014-10-08 15:02 git Note Added: 0032819
2014-10-08 17:02 git Note Added: 0032827
2014-10-08 17:26 git Note Added: 0032828
2014-10-08 19:16 git Note Added: 0032837
2014-10-08 23:40 git Note Added: 0032853
2014-10-09 10:41 git Note Added: 0032863
2014-10-09 11:10 git Note Added: 0032868
2014-10-09 11:14 git Note Added: 0032869
2014-10-09 11:19 dbp Note Added: 0032871
2014-10-09 11:19 dbp Assigned To dbp => kgv
2014-10-09 11:19 dbp Status new => feedback
2014-10-09 11:37 git Note Added: 0032874
2014-10-09 14:14 git Note Added: 0032887
2014-10-09 15:24 dbp File Added: test1.png
2014-10-09 15:24 dbp File Deleted: test1.png
2014-10-09 15:26 dbp File Added: test1.jpg
2014-10-09 15:26 dbp File Added: test2.jpg
2014-10-09 15:29 git Note Added: 0032898
2014-10-09 15:36 git Note Added: 0032902
2014-10-09 15:45 git Note Added: 0032903
2014-10-09 15:46 dbp Note Added: 0032904
2014-10-09 15:46 dbp Status feedback => resolved
2014-10-09 15:47 dbp File Added: test.png
2014-10-09 15:51 dbp Note Added: 0032905
2014-10-09 15:56 dbp Additional Information Updated View Revisions
2014-10-10 16:35 kgv Assigned To kgv => dbp
2014-10-10 16:35 kgv Status resolved => assigned
2014-10-10 16:35 kgv Note Added: 0032982
2014-10-10 17:09 git Note Added: 0032983
2014-10-10 17:23 git Note Added: 0032984
2014-10-10 17:23 dbp Note Added: 0032985
2014-10-10 17:23 dbp Assigned To dbp => kgv
2014-10-10 17:23 dbp Status assigned => resolved
2014-10-13 11:11 git Note Added: 0033005
2014-10-15 10:35 git Note Added: 0033096
2014-10-15 10:57 git Note Added: 0033097
2014-10-15 11:24 git Note Added: 0033106
2014-10-15 11:33 kgv Note Added: 0033108
2014-10-15 11:33 kgv Note Edited: 0033108 View Revisions
2014-10-15 12:23 git Note Added: 0033120
2014-10-15 12:29 kgv Note Added: 0033121
2014-10-15 12:29 kgv Assigned To kgv => bugmaster
2014-10-15 12:29 kgv Status resolved => reviewed
2014-10-16 16:32 apv Assigned To bugmaster => apv
2014-10-17 15:15 apv Test case number => v3d raytrace(014) textures
2014-10-17 15:22 apv Note Added: 0033260
2014-10-17 15:22 apv Assigned To apv => kgv
2014-10-17 15:22 apv Status reviewed => assigned
2014-10-17 15:25 apv Note Edited: 0033260 View Revisions
2014-10-17 17:04 git Note Added: 0033269
2014-10-17 17:12 dbp Note Added: 0033270
2014-10-17 17:12 dbp Status assigned => resolved
2014-10-17 18:13 git Note Added: 0033275
2014-10-17 18:13 dbp Note Added: 0033276
2014-10-17 18:15 git Note Added: 0033277
2014-10-17 18:15 git Note Added: 0033278
2014-10-19 16:39 git Note Added: 0033303
2014-10-19 16:40 git Note Added: 0033304
2014-10-19 18:16 kgv Note Added: 0033305
2014-10-19 18:16 kgv Assigned To kgv => bugmaster
2014-10-19 18:16 kgv Status resolved => reviewed
2014-10-19 18:16 kgv Target Version 7.1.0 => 6.8.0
2014-10-20 21:27 mkv Assigned To bugmaster => mkv
2014-10-21 14:01 mkv Note Added: 0033376
2014-10-21 14:01 mkv Assigned To mkv => bugmaster
2014-10-21 14:01 mkv Status reviewed => tested
2014-10-24 15:38 bugmaster Changeset attached => occt master 25ef750e
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 08:57 git Note Added: 0034247
2014-11-12 08:57 git Note Added: 0034248
2014-11-12 08:57 git Note Added: 0034249
2014-11-12 08:57 git Note Added: 0034250
2014-11-12 08:57 git Note Added: 0034251
2014-11-12 08:57 git Note Added: 0034252
2014-11-12 08:57 git Note Added: 0034253
2015-01-30 10:11 kgv Relationship added related to 0025758
2015-09-22 14:38 kgv Relationship added related to 0026713


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker